xine-lib: xine-lib-1.2.12/src/post/goom/surf3d.c File Reference

xine-lib 1.2.12

Functions
surf3d.c File Reference
`#include "surf3d.h"`
`#include "goom_plugin_info.h"`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`

## Functions
void | grid3d_free (grid3d *g)
grid3d * | grid3d_new (int sizex, int defx, int sizez, int defz, v3d center)
void | grid3d_draw (PluginInfo *plug, grid3d *g, int color, int colorlow, int dist, Pixel *buf, Pixel *back, int W, int H)
void | surf3d_rotate (surf3d *s, float angle)
void | surf3d_translate (surf3d *s)
void | grid3d_update (grid3d *g, float angle, float *vals, float dist)

## Function Documentation

## ◆ grid3d_draw()

void grid3d_draw | ( | PluginInfo * | plug,
|  | grid3d * | g,
|  | int | color,
|  | int | colorlow,
|  | int | dist,
|  | Pixel * | buf,
|  | Pixel * | back,
|  | int | W,
|  | int | H
| ) |  |

References grid3d::defx, grid3d::defz, _PLUGIN_INFO::draw_line, _PLUGIN_INFO::methods, surf3d::nbvertex, grid3d::surf, surf3d::svertex, v3d_to_v2d(), v2d::x, v2d::y, and z.

Referenced by tentacle_update().

## ◆ grid3d_free()

void grid3d_free | ( | grid3d * | g | ) |

References grid3d::surf, surf3d::svertex, and surf3d::vertex.

Referenced by tentacle_free().

## ◆ grid3d_new()

grid3d * grid3d_new | ( | int | sizex,
|  | int | defx,
|  | int | sizez,
|  | int | defz,
|  | v3d | center
| ) |  |

References surf3d::center, grid3d::defx, grid3d::defz, grid3d::mode, surf3d::nbvertex, grid3d::sizex, grid3d::sizez, grid3d::surf, surf3d::svertex, surf3d::vertex, v3d::x, v3d::y, and v3d::z.

Referenced by tentacle_new().

## ◆ grid3d_update()

void grid3d_update | ( | grid3d * | g,
|  | float | angle,
|  | float * | vals,
|  | float | dist
| ) |  |

References surf3d::center, grid3d::defx, grid3d::mode, surf3d::nbvertex, SINCOS, grid3d::surf, surf3d::svertex, TRANSLATE_V3D, surf3d::vertex, v3d::y, Y_ROTATE_V3D, and v3d::z.

Referenced by tentacle_update().

## ◆ surf3d_rotate()

void surf3d_rotate | ( | surf3d * | s,
|  | float | angle
| ) |  |

References surf3d::nbvertex, SINCOS, surf3d::svertex, surf3d::vertex, and Y_ROTATE_V3D.

## ◆ surf3d_translate()

void surf3d_translate | ( | surf3d * | s | ) |

References surf3d::center, surf3d::nbvertex, surf3d::svertex, and TRANSLATE_V3D.